<template>
	<v-app>
		<app-header />
		<v-main>
			<v-container class="mt-12">
				<transition name="slide" mode="out-in">
					<router-view />
				</transition>
			</v-container>
		</v-main>
		<app-footer />
	</v-app>
</template>

<script>
import Header from '@/components/Header';
import Footer from '@/components/Footer';

export default {
	components: {
		appHeader: Header,
		appFooter: Footer
	},
	created() {
		this.$store.dispatch('stocks/loadAllAvailableStocks');
	},
};
</script>

<style lang="scss" scoped>
	.slide-enter-active {
		animation: slide-in 200ms ease-out forwards;
	}
	.slide-leave-active {
		animation: slide-out 200ms ease-out forwards;
	}
	@keyframes slide-in {
		from {
			transform: translateY(-30px);
			opacity: 0;
		}
		to {
			transform: translateY(0);
			opacity: 1;
		}
	}
	@keyframes slide-out {
		from {
			transform: translateY(0);
			opacity: 1;
		}
		to {
			transform: translateY(-30px);
			opacity: 0;
		}
	}
</style>